Skip to main content

Workspace Direct Group Member

View as Markdown

DirectGroupMember object​

Represents a principal that is a direct member of a group, with its source of membership.

namestringBetaIDImmutable

The resource name of the group membership. The format depends on the API that returned it:

  • Account-scoped: accounts/{account_id}/groups/{group_id}/direct-members/{principal_id}
  • Workspace-scoped: groups/{group_id}/direct-members/{principal_id}
parentstringBetaOutput onlyImmutable

The resource name of the group that contains the membership. The format depends on the API that returned it:

  • Account-scoped: accounts/{account_id}/groups/{group_id}
  • Workspace-scoped: groups/{group_id}
principal_idint64BetaImmutable

Internal ID of the principal in Databricks.

principal_typestringBetaOutput only

The type of the principal (user/service principal/group).

Values:

  • USER
  • SERVICE_PRINCIPAL
  • GROUP
membership_sourcestringBetaOutput only

The source of group membership (internal or from identity provider).

Values:

  • INTERNAL
  • IDENTITY_PROVIDER
display_namestringBetaOutput only

Display name of the principal.

external_idstringBetaOutput only

The external ID of the principal in the customer's IdP.

group_idint64BetaOutput only

The internal ID of the group this member belongs to.

Get a direct group member Beta​

GET /api/2.0/identity/{name=groups/*/direct-members/*}

Gets a provisioned direct member of a group.

API scopes: identity

Parameters​

namestringRequiredpath

The resource name of the group membership. Format: groups/{group_id}/direct-members/{principal_id}

Response​

Returns the DirectGroupMember object.

List direct group members Beta​

GET /api/2.0/identity/{parent=groups/*}/direct-members

Lists provisioned direct members of a group with their membership source (internal or from identity provider).

API scopes: identity

Parameters​

parentstringRequiredpath

The parent resource name of the group whose direct members to list. Format: groups/{group_id}

page_sizeint32query

The maximum number of members to return. The service may return fewer than this value. If not provided, defaults to 1000, which is also the maximum allowed. Requests for more than the maximum are clamped to 1000.

page_tokenstringquery

A page token from a previous list call. Provide this to retrieve the subsequent page.

Response​

Returns a list of DirectGroupMember objects.

Create a direct group membership Beta​

POST /api/2.0/identity/{parent=groups/*}/direct-members

Creates a group membership (assigns a principal to a group).

API scopes: identity

Parameters​

parentstringRequiredpath

The parent resource name of the group to add the member to. Format: groups/{group_id}

Request body​

Required. The group membership to create.

namestringIDImmutable

The resource name of the group membership. The format depends on the API that returned it:

  • Account-scoped: accounts/{account_id}/groups/{group_id}/direct-members/{principal_id}
  • Workspace-scoped: groups/{group_id}/direct-members/{principal_id}
principal_idint64RequiredImmutable

Internal ID of the principal in Databricks.

Response​

Returns the DirectGroupMember object.

Delete a direct group membership Beta​

DELETE /api/2.0/identity/{name=groups/*/direct-members/*}

Deletes a group membership (unassigns a principal from a group).

API scopes: identity

Parameters​

namestringRequiredpath

The resource name of the group membership. Format: groups/{group_id}/direct-members/{principal_id}